Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516289 - Middleware - Unable to remove middleware provider from the middleware provider list page
Summary: Middleware - Unable to remove middleware provider from the middleware provide...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.0
Assignee: Karel Hala
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 12:20 UTC by Sunil Kondkar
Modified: 2018-03-30 17:22 UTC (History)
8 users (show)

Fixed In Version: 5.9.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 18:13:49 UTC
Category: ---
Cloudforms Team: Middleware


Attachments (Terms of Use)
Screenshot-Error message in UI (deleted)
2017-11-22 12:20 UTC, Sunil Kondkar
no flags Details
evm.log (deleted)
2017-11-22 12:23 UTC, Sunil Kondkar
no flags Details

Description Sunil Kondkar 2017-11-22 12:20:34 UTC
Created attachment 1357426 [details]
Screenshot-Error message in UI

Description of problem:

On trying to remove middleware provider from middleware providers list page, the UI shows error message 'Middleware Provider no longer exists'.

The provider is not removed from the providers list page after refreshing the page several times.

The evm.log shows below:
[----] E, [2017-11-22T02:21:45.430065 #13221:1040424] ERROR -- : MIQ(ems_middleware_controller-button): Middleware Provider no longer exists

Please refer the UI screenshot and evm.log


Version-Release number of selected component (if applicable):

Version 5.9.0.9.20171115202245_7429f75 

How reproducible:

Always

Steps to Reproduce:

1. Login to cfme
2. Add middleware provider
3. Navigate to Middleware->Providers
4. Select the middleware provider
5. Click on Configuration->Remove Middleware Providers from Inventory
6. Click OK on warning message.
6. UI shows error message 'Middleware Provider no longer exists'.

Actual results:

On removing middleware provider, UI shows error message 'Middleware Provider no longer exists'.

Expected results:

A success message and middleware provider should be removed from the list page.


Additional info:

The provider is successfully removed from the middleware provider summary page. The issue exists only when trying to remove provider from the middleware providers list page.

The bug does not exist on previous cfme version 5.9.0.8.20171109215303_ed87902

Comment 2 Sunil Kondkar 2017-11-22 12:23:10 UTC
Created attachment 1357430 [details]
evm.log

Comment 3 Alissa 2017-11-22 12:36:23 UTC
I reproduced this locally and found this in the log without any additional info:

[----] E, [2017-11-22T14:29:09.547766 #5914:2f5fae4] ERROR -- : MIQ(ems_middleware_controller-button): Middleware Provider no longer exists

Comment 4 Karel Hala 2017-11-28 15:36:48 UTC
This was common issue with all providers when the UI was sending wrong selected items to be removed. However this is fixed and current master has no longer such error.

Comment 5 Alissa 2017-11-29 09:38:20 UTC
Karel, the status should be moved from on_dev to post.
Can you link the PR that already fixed this issue?

Comment 6 Satoe Imaishi 2017-11-29 16:19:58 UTC
Adding needinfo for PR link.

Comment 7 Karel Hala 2017-11-30 14:36:23 UTC
Sure, here is the link, the issue was fixed by lsmola@redhat.com
https://github.com/ManageIQ/manageiq-ui-classic/pull/2750

Comment 8 Sunil Kondkar 2017-12-04 11:34:20 UTC
Verified on version 5.9.0.11.20171127204214_e316988

The middleware provider is removed successfully from list page.


Note You need to log in before you can comment on or make changes to this bug.